# Visualization
TKV3d
SelectMgr

# SelectMgr_DataMapOfSelectionActivation Class Reference

`#include <SelectMgr_DataMapOfSelectionActivation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SelectMgr_DataMapOfSelectionActivation (const Standard_Integer NbBuckets=1)
Standard_EXPORT SelectMgr_DataMapOfSelectionActivation & | Assign (const SelectMgr_DataMapOfSelectionActivation &Other)
SelectMgr_DataMapOfSelectionActivation & | operator= (const SelectMgr_DataMapOfSelectionActivation &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~SelectMgr_DataMapOfSelectionActivation ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(SelectMgr_Selection)&K, const Standard_Integer &I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(SelectMgr_Selection)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(SelectMgr_Selection)&K)
Standard_EXPORT const Standard_Integer & | Find (const Handle(SelectMgr_Selection)&K) const
const Standard_Integer & | operator() (const Handle(SelectMgr_Selection)&K) const
Standard_EXPORT Standard_Integer & | ChangeFind (const Handle(SelectMgr_Selection)&K)
Standard_Integer & | operator() (const Handle(SelectMgr_Selection)&K)

## Private Member Functions

Standard_EXPORT | SelectMgr_DataMapOfSelectionActivation (const SelectMgr_DataMapOfSelectionActivation &Other)

## Constructor & Destructor Documentation

Standard_EXPORT SelectMgr_DataMapOfSelectionActivation::SelectMgr_DataMapOfSelectionActivation | ( | const Standard_Integer | NbBuckets = `1` | ) |

SelectMgr_DataMapOfSelectionActivation::~SelectMgr_DataMapOfSelectionActivation | ( |  | ) | `[inline]`

Standard_EXPORT SelectMgr_DataMapOfSelectionActivation::SelectMgr_DataMapOfSelectionActivation | ( | const SelectMgr_DataMapOfSelectionActivation & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT SelectMgr_DataMapOfSelectionActivation& SelectMgr_DataMapOfSelectionActivation::Assign | ( | const SelectMgr_DataMapOfSelectionActivation & | Other | ) |

Standard_EXPORT Standard_Boolean SelectMgr_DataMapOfSelectionActivation::Bind | ( | const Handle(SelectMgr_Selection)& | K,
|  | const Standard_Integer & | I
| ) |

Standard_EXPORT Standard_Integer& SelectMgr_DataMapOfSelectionActivation::ChangeFind | ( | const Handle(SelectMgr_Selection)& | K | ) |

Standard_EXPORT void SelectMgr_DataMapOfSelectionActivation::Clear | ( |  | ) |

Standard_EXPORT const Standard_Integer& SelectMgr_DataMapOfSelectionActivation::Find | ( | const Handle(SelectMgr_Selection)& | K | ) | const

Standard_EXPORT Standard_Boolean SelectMgr_DataMapOfSelectionActivation::IsBound | ( | const Handle(SelectMgr_Selection)& | K | ) | const

void SelectMgr_DataMapOfSelectionActivation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectMgr_DataMapOfSelectionActivation::operator new | ( | size_t | size | ) | `[inline]`

void* SelectMgr_DataMapOfSelectionActivation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& SelectMgr_DataMapOfSelectionActivation::operator() | ( | const Handle(SelectMgr_Selection)& | K | ) | `[inline]`

const Standard_Integer& SelectMgr_DataMapOfSelectionActivation::operator() | ( | const Handle(SelectMgr_Selection)& | K | ) | const`[inline]`

SelectMgr_DataMapOfSelectionActivation& SelectMgr_DataMapOfSelectionActivation::operator= | ( | const SelectMgr_DataMapOfSelectionActivation & | Other | ) | `[inline]`

Standard_EXPORT void SelectMgr_DataMapOfSelectionActivation::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean SelectMgr_DataMapOfSelectionActivation::UnBind | ( | const Handle(SelectMgr_Selection)& | K | ) |

The documentation for this class was generated from the following file:

- SelectMgr_DataMapOfSelectionActivation.hxx